Date Class Reference

Simple transcoder for converting between external char and wchar_t strings and internal strings. More...

Inheritance diagram for Date:

## Public Member Functions

| Date ()
| Date (log4cxx_time_t time)
virtual | ~Date ()
log4cxx_time_t | getTime () const
log4cxx_time_t | getNextSecond () const
| Get start of next second. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions

static log4cxx_time_t | getMicrosecondsPerDay ()
static log4cxx_time_t | getMicrosecondsPerSecond ()
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Additional Inherited Members

Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Simple transcoder for converting between external char and wchar_t strings and internal strings.

## Constructor & Destructor Documentation

Date | ( |  | ) |

Date | ( | log4cxx_time_t | time | ) |

virtual ~Date | ( |  | ) |

virtual

## Member Function Documentation

static log4cxx_time_t getMicrosecondsPerDay | ( |  | ) |

static

static log4cxx_time_t getMicrosecondsPerSecond | ( |  | ) |

static

log4cxx_time_t getNextSecond | ( |  | ) | const

Get start of next second.

log4cxx_time_t getTime | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- date.h